<template>
    <input
        v-model="ctx.model"
        :type="type"
        v-bind="attributes"
        v-on="$listeners"
        class="InputBox"
        :value="value"
    />
</template>

<script>
import VumikInputMixin from '../VumikInputMixin'

export default {
  name: 'VumikInputBox',
  mixins: [VumikInputMixin]
}
</script>

<style lang="postcss" scoped>
.InputBox {
    @apply focus:ring-yellow-500 h-4 w-4 text-yellow-500 border-gray-300 rounded;
}
</style>
